Index: src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision ca7c6bd113444fb424e0df4f533ae4ed18f04816)
+++ src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision a95c44b70e9d487306aace4e5481e94bf3e26e7f)
@@ -131,11 +131,15 @@
     Adds predefined headers to the model
     """
-    model.parameter_headers = ['Parameter', 'Value', 'Min', 'Max', 'Units']
-    #model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-    #model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
-    #model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-    #model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-    #model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Units"))
-
+    model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
+    model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
+    model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
+    model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
+    model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Units"))
+
+    model.header_tooltips = ['Select parameter for fitting',
+                             'Enter parameter value',
+                             'Enter minimum value for parameter',
+                             'Enter maximum value for parameter',
+                             'Unit of the parameter']
 def addErrorHeadersToModel(model):
     """
@@ -148,4 +152,11 @@
     model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
     model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Units"))
+
+    model.header_tooltips = ['Select parameter for fitting',
+                             'Enter parameter value',
+                             'Error value for fitted parameter',
+                             'Enter minimum value for parameter',
+                             'Enter maximum value for parameter',
+                             'Unit of the parameter']
 
 def addPolyHeadersToModel(model):
@@ -161,4 +172,14 @@
     model.setHeaderData(6, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
     model.setHeaderData(7, QtCore.Qt.Horizontal, QtCore.QVariant("Filename"))
+
+    model.header_tooltips = ['Select parameter for fitting',
+                             'Enter polydispersity ratio (STD/mean). '
+                             'STD: standard deviation from the mean value',
+                             'Enter minimum value for parameter',
+                             'Enter maximum value for parameter',
+                             'Enter number of points for parameter',
+                             'Enter number of sigmas parameter',
+                             'Select distribution function',
+                             'Select filename with user-definable distribution']
 
 def addErrorPolyHeadersToModel(model):
@@ -175,4 +196,15 @@
     model.setHeaderData(7, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
     model.setHeaderData(8, QtCore.Qt.Horizontal, QtCore.QVariant("Filename"))
+
+    model.header_tooltips = ['Select parameter for fitting',
+                             'Enter polydispersity ratio (STD/mean). '
+                             'STD: standard deviation from the mean value',
+                             'Error value for fitted parameter',
+                             'Enter minimum value for parameter',
+                             'Enter maximum value for parameter',
+                             'Enter number of points for parameter',
+                             'Enter number of sigmas parameter',
+                             'Select distribution function',
+                             'Select filename with user-definable distribution']
 
 def addShellsToModel(parameters, model, index):
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision ca7c6bd113444fb424e0df4f533ae4ed18f04816)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision a95c44b70e9d487306aace4e5481e94bf3e26e7f)
@@ -56,19 +56,11 @@
         QtGui.QStandardItemModel.__init__(self,parent)
 
-        super(ToolTippedItemModel, self).__init__()
-        self.parent = parent
-        self.parameter_headers = None
-
-    # optional method for Model class
     def headerData(self, section, orientation, role):
 
         if role == QtCore.Qt.ToolTipRole:
             if orientation == QtCore.Qt.Horizontal:
-                return QtCore.QString("Horizontal Header Tooltip for %s" % str(self.parameter_headers[section]))
-
-        if role == QtCore.Qt.DisplayRole:
-            if orientation == QtCore.Qt.Horizontal:
-                return QtCore.QString(self.parameter_headers[section])
-
+                return QtCore.QString(str(self.header_tooltips[section]))
+
+        return QtGui.QStandardItemModel.headerData(self, section, orientation, role)
 
 class FittingWidget(QtGui.QWidget, Ui_FittingWidgetUI):
